Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78406 - Internal compiler error in simplify_subreg
Summary: Internal compiler error in simplify_subreg
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 13:26 UTC by Ralf Corsepius
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-22 13:30:02 UTC


Attachments (Terms of Use)
--save-temps generated *.i of the crash (deleted)
2002-11-22 13:28 UTC, Ralf Corsepius
no flags Details
--save-temps generated tc-ppc.s (deleted)
2002-11-22 13:29 UTC, Ralf Corsepius
no flags Details

Description Ralf Corsepius 2002-11-22 13:26:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Cross building vanilla binutils-2.13.1 for target powerpc-rtems:

mkdir build
cd build
../binutils-2.13.1/configure --target=powerpc-rtems \
    --verbose --prefix=/opt/rtems

# gcc -DHAVE_CONFIG_H -I. -I../../binutils-2.13.1/gas -I. -D_GNU_SOURCE -I.
-I../../binuti
ls-2.13.1/gas -I../bfd -I../../binutils-2.13.1/gas/config
-I../../binutils-2.13.1/gas/..
/include -I../../binutils-2.13.1/gas/.. -I../../binutils-2.13.1/gas/../bfd
-I../../binut
ils-2.13.1/gas/../intl -I../intl -DLOCALEDIR="\"/opt/rtems/share/locale\""   -W
-Wall -W
strict-prototypes -Wmissing-prototypes -g -O2 -c
../../binutils-2.13.1/gas/config/tc-ppc
.c
../../binutils-2.13.1/gas/config/tc-ppc.c: In function `md_assemble':
../../binutils-2.13.1/gas/config/tc-ppc.c:2188: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2190: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2195: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2197: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2202: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2204: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2209: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:2211: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c: In function `md_apply_fix3':
../../binutils-2.13.1/gas/config/tc-ppc.c:5404: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:5411: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:5418: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:5425: warning: right shift count >=
width of t
ype
../../binutils-2.13.1/gas/config/tc-ppc.c:5553: Internal compiler error in
simplify_subr
eg, at simplify-rtx.c:2452
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See description
	

Actual Results:  See description.

Expected Results:  Function.

Additional info:

Comment 1 Ralf Corsepius 2002-11-22 13:28:45 UTC
Created attachment 86044 [details]
--save-temps generated *.i of the crash

Comment 2 Ralf Corsepius 2002-11-22 13:29:55 UTC
Created attachment 86045 [details]
--save-temps generated tc-ppc.s

Comment 3 Jakub Jelinek 2002-11-27 17:21:52 UTC
Should be fixed in gcc-3.2.1-1 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.